
<section class="search-form">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div id="cover">
          <form method="get" action="">
            <div class="tb">
              <div class="td">
                <input type="text" id="content" placeholder="Search" required />
              </div>
              <div class="td" id="s-cover">
                <button type="submit" onclick="search(event)">
                  <div id="s-circle"></div>
                  <span></span>
                </button>
              </div>
            </div>
          </form>
        </div>
        <div>
          <div id="data1" style="color: #fff; padding: 20px;">

          </div>
      </div>
    </div>
  </div>
</section>

<script>
  async function search(event) {
    event.preventDefault();
    const content = document.getElementById("content").value;
    const result = await fetch(
      `https://hereditary-backend.herokuapp.com/api/v2/search/search`,
      {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({ content }),
      }
    )
      .then((res) => res.json())
      .then((res) => {
        var test = res.finalResult;
        var result = document.getElementById("data1");
        var rows = "";
    test && test.map((eachObject)=>{
    var link =eachObject && eachObject.frontEndPage_Url
   if(eachObject!== null){
 for(let [index,value] of Object.values(eachObject).entries()){
    var size = Object.keys(eachObject).length;
  if(index<size-1){
rows += `</h2><br><a href="${link}"><p>` + value + `<br></p></a> <hr>`;
    }
}
}
})
 result.innerHTML = rows;
      })
      .catch((err) => console.log(err));
  }
</script>
